findproxyfile(1)

NAME
findproxyfile - returns full path to GSI Proxy file

SYNOPSIS
findproxyfile [--proxycache=PATH] [--delegation-id=ID] [--user-dn=DN] [--outsidecache]

DESCRIPTION
findproxyfile returns full path to a GSI Proxy file, either in the proxy cache maintained by the GridSite G-HTTPS and delegation portType functions, or in other standard places.

If a User DN is given findproxyfile uses the value of the --proxycache argument, the GRST_PROXY_PATH or the compile time default to determine the location of the proxy cache directory. The directory is searched for a proxy having the given User DN and Delegation ID. (If no Delegation ID is specificed, then the default value is used.)

If findproxyfile does not find a proxy or if a User DN is not given, but --outsidecache was given, then the environment variable X509_USER_PROXY and the standard location /tmp/x509up_uUID are searched as well.

OPTIONS

--proxycache=PATH
    Give the path of the proxy cache directory explicitly, overriding the default and the GRST_PROXY_PATH environment variable if present.

--delegation-id=ID
    The optional delegation ID is search for in the proxy cache in addition to the User DN. If absent, the default Delegation ID value is searched for.

--user-dn=DN
    The DN of the full user certificate associated with the proxy to be searched for in the proxy cache. (This is not the DN of any proxy earlier in the chain: it is a the DN of a certificate issued by a recognised CA.)

--outsidecache
    If a User DN is not given, or a proxy not found in the cache, then search for a proxy using X509_USER_PROXY environment variable and file name of form /tmp/x509up_uUID as well.

RETURN VALUE
If a proxy is found, its full path is output on standard out.

EXIT CODES
0 is returned on success. Non-zero otherwise.

BUGS
In this version, no attempt is made to verify or validate the proxies.

AUTHOR
Andrew McNab <Andrew.McNab@man.ac.uk>

findproxyfile is part of GridSite: http://www.gridsite.org/